Summary:	An easy to use GUI CD image editor
Name:		isomaster
Version:	1.3.17
Release:	%mkrel 3
License:	GPLv2
Group:		Archiving/Cd burning
URL:		http://littlesvr.ca/isomaster/
Source0:	http://littlesvr.ca/isomaster/releases/%{name}-%{version}.tar.bz2
Patch2:		isomaster-1.3.17-iniparser-include.patch
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	iniparser-devel

%description
ISO Master allows to extract files from an ISO, add files to an ISO,
and create bootable ISOs - all in a graphical user interface.
It can open ISO, NRG, and some MDF files but can only save as ISO.

%prep
%autosetup -p1

# use system iniparser
sed -i -e 's,#\(USE_SYSTEM_INIPARSER\),\1,' Makefile

# fix prefix
sed -i -e 's,\(PREFIX .*\)/usr/local,\1%{_prefix},' Makefile

# more verbose build
sed -i -e 's,@\($(CC)\),\1,g' Makefile

# don't rebuid at install time
sed -i -e 's/^install:\s*all/install:/' Makefile

rm -rf iniparser-4.1

%build
%set_build_flags
%make_build

%install
%make_install

%find_lang %{name}

perl -pi -e 's,/usr/share/%{name}/icons/isomaster.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{64x64,48x48,32x32,16x16}/apps
convert -scale 64 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%files -f %{name}.lang
%doc *.TXT
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.3.17-3.mga10
+ Revision: 2230063
- Mageia 10 Mass Rebuild

* Sat Nov 16 2024 daviddavid <daviddavid> 1.3.17-2.mga10
+ Revision: 2116149
- rebuild for new iniparser 4.2.4

* Thu Feb 15 2024 daviddavid <daviddavid> 1.3.17-1.mga10
+ Revision: 2041335
- new version: 1.3.17

* Wed Oct 19 2022 ghibo <ghibo> 1.3.16-1.mga9
+ Revision: 1897599
- Update to release 1.3.16

* Thu Mar 31 2022 umeabot <umeabot> 1.3.15-2.mga9
+ Revision: 1836703
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 daviddavid <daviddavid> 1.3.15-1.mga8
+ Revision: 1570658
- new version: 1.3.15

* Thu Feb 13 2020 umeabot <umeabot> 1.3.14-3.mga8
+ Revision: 1513667
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.3.14-2.mga7
+ Revision: 1298333
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.3.14-1.mga7
+ Revision: 1214840
- Update to version 1.3.14

* Tue Feb 09 2016 umeabot <umeabot> 1.3.13-2.mga6
+ Revision: 951055
- Mageia 6 Mass Rebuild

* Sat Dec 06 2014 wally <wally> 1.3.13-1.mga5
+ Revision: 801730
- new version 1.3.13
- use system iniparser (add patch from Gentoo to build with latest iniparser)
- use our build time flags
- clean description a bit
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.9-3.mga4
+ Revision: 506095
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.9-2.mga3
+ Revision: 354571
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 17 2012 dams <dams> 1.3.9-1.mga2
+ Revision: 209891
- add 'imagemagik' as BR
- new version 1.3.9
- clean spec file
- imported package isomaster


* Thu Jan 07 2010 Frederik Himpe <fhimpe@mandriva.org> 1.3.7-1mdv2010.1
+ Revision: 487298
- Update to new version 1.3.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 1.3.5-1mdv2009.1
+ Revision: 324849
- update to new version 1.3.5

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 314446
- new release 1.3.4

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jul 02 2008 Adam Williamson <awilliamson@mandriva.org> 1.3.3-1mdv2009.0
+ Revision: 230825
- new release 1.3.3

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Feb 05 2008 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2008.1
+ Revision: 162797
- update to new version 1.3.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Adam Williamson <awilliamson@mandriva.org> 1.3-1mdv2008.1
+ Revision: 132467
- minor spec cleanups
- new release 1.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-2mdv2008.1
+ Revision: 106207
- rebuild for lzma permissions issue (#35309)

* Mon Oct 29 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-1mdv2008.1
+ Revision: 103130
- make macro usage more consistent
- new release 1.2

* Tue Aug 28 2007 Adam Williamson <awilliamson@mandriva.org> 1.1-1mdv2008.0
+ Revision: 72431
- drop some unneeded icons and X-Mandriva menu category
- spec clean
- new release 1.1

* Sun Jun 10 2007 Adam Williamson <awilliamson@mandriva.org> 1.0-1mdv2008.0
+ Revision: 37740
- new release 1.0

* Thu Apr 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 14914
- Import isomaster

